org.icefaces.ace.renderkit

## Class CoreRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer

- Direct Known Subclasses:
    AccordionRenderer, BaseMenuRenderer, ButtonGroupRenderer, CellEditorRenderer, ChartRenderer, CheckboxButtonRenderer, ConfirmationDialogRenderer, DataExporterRenderer, DataTableRenderer, DelegateRenderer, DialogRenderer, DraggableRenderer, DrawerPanelRenderer, DroppableRenderer, ExpansionTogglerRenderer, GMapAutocompleteRenderer, GMapControlRenderer, GMapEventRenderer, GMapInfoWindowRenderer, GMapLayerRenderer, GMapMarkerRenderer, GMapOverlayRenderer, GMapRenderer, GMapServicesRenderer, InputRenderer, LinkButtonRenderer, ListControlRenderer, ListExporterRenderer, ListRenderer, NotificationPanelRenderer, PanelRenderer, PanelStackRenderer, PrinterRenderer, ProgressBarRenderer, PushButtonRenderer, ResizableRenderer, RowEditorRenderer, SliderEntryRenderer, StackPaneRenderer, SubmitMonitorRenderer, TableConfigPanelRenderer, TabSetRenderer, TooltipRenderer, TreeRenderer

      public class CoreRenderer
      extends javax.faces.render.Renderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreRenderer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addToAutoUpdate(java.lang.String clientId)`
    `java.lang.String` | `convertClientId(javax.faces.context.FacesContext context, java.lang.String clientId)`
    `protected void` | `decodeBehaviors(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `decodeBehaviors(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String proxyClientId)`
    `protected void` | `encodeClientBehaviors(javax.faces.context.FacesContext context, javax.faces.component.behavior.ClientBehaviorHolder component, JSONBuilder jb)`
    `protected java.lang.String` | `escapeText(java.lang.String value)`
    `protected java.lang.String` | `getActionURL(javax.faces.context.FacesContext facesContext)`
    `java.util.ResourceBundle` | `getComponentResourceBundle(javax.faces.context.FacesContext context, java.lang.String ACE_MESSAGES_BUNDLE)` Not all text for components are easy to make attributes for components, especially those for accessibility.
    `protected java.lang.String` | `getEncodedURL(javax.faces.context.FacesContext facesContext, java.lang.String type, java.lang.String baseUrl, java.util.Map parameters)`
    `java.lang.String` | `getEscapedClientId(java.lang.String clientId)`
    `static java.lang.String` | `getLocalisedMessageFromBundle(java.util.ResourceBundle bundle, java.lang.String MESSAGE_KEY_PREFIX, java.lang.String key, java.lang.String defaultValue)`
    `protected java.lang.String` | `getResourceRequestPath(javax.faces.context.FacesContext facesContext, java.lang.String resourceName)`
    `protected java.lang.String` | `getResourceURL(javax.faces.context.FacesContext facesContext, java.lang.String value)`
    `boolean` | `isAjaxRequest(javax.faces.context.FacesContext facesContext)`
    `protected boolean` | `isPostBack()`
    `boolean` | `isPostback(javax.faces.context.FacesContext facesContext)`
    `boolean` | `isValueBlank(java.lang.String value)`
    `boolean` | `isValueEmpty(java.lang.String value)`
    `protected void` | `renderChild(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent child)`
    `protected void` | `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected void` | `renderPassThruAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String[] attrs)`
    `protected void` | `renderPassThruAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String[] attrs, java.lang.String[] ignoredAttrs)`
    `protected void` | `renderPassThruAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String var, java.lang.String[] attrs)`
    `static java.lang.String` | `resolveWidgetVar(javax.faces.component.UIComponent component)`
    `protected boolean` | `shouldRenderAttribute(java.lang.Object value)`
    `protected boolean` | `themeForms()`

    - ### Methods inherited from class javax.faces.render.Renderer

      `decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreRenderer

          public CoreRenderer()

  - ### Method Detail

    - #### resolveWidgetVar

          public static java.lang.String resolveWidgetVar(javax.faces.component.UIComponent component)

    - #### renderChildren

          protected void renderChildren(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### renderChild

          protected void renderChild(javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent child)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getActionURL

          protected java.lang.String getActionURL(javax.faces.context.FacesContext facesContext)

    - #### getResourceURL

          protected java.lang.String getResourceURL(javax.faces.context.FacesContext facesContext,
                                                    java.lang.String value)

    - #### getEncodedURL

          protected java.lang.String getEncodedURL(javax.faces.context.FacesContext facesContext,
                                                   java.lang.String type,
                                                   java.lang.String baseUrl,
                                                   java.util.Map parameters)

    - #### getResourceRequestPath

          protected java.lang.String getResourceRequestPath(javax.faces.context.FacesContext facesContext,
                                                            java.lang.String resourceName)

    - #### isPostback

          public boolean isPostback(javax.faces.context.FacesContext facesContext)

    - #### isAjaxRequest

          public boolean isAjaxRequest(javax.faces.context.FacesContext facesContext)

    - #### renderPassThruAttributes

          protected void renderPassThruAttributes(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent component,
                                                  java.lang.String var,
                                                  java.lang.String[] attrs)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### renderPassThruAttributes

          protected void renderPassThruAttributes(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent component,
                                                  java.lang.String[] attrs)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### renderPassThruAttributes

          protected void renderPassThruAttributes(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent component,
                                                  java.lang.String[] attrs,
                                                  java.lang.String[] ignoredAttrs)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### shouldRenderAttribute

          protected boolean shouldRenderAttribute(java.lang.Object value)

    - #### isPostBack

          protected boolean isPostBack()

    - #### getEscapedClientId

          public java.lang.String getEscapedClientId(java.lang.String clientId)

    - #### convertClientId

          public java.lang.String convertClientId(javax.faces.context.FacesContext context,
                                                  java.lang.String clientId)

      Overrides:
        `convertClientId` in class `javax.faces.render.Renderer`

    - #### isValueEmpty

          public boolean isValueEmpty(java.lang.String value)

    - #### isValueBlank

          public boolean isValueBlank(java.lang.String value)

    - #### escapeText

          protected java.lang.String escapeText(java.lang.String value)

    - #### encodeClientBehaviors

          protected void encodeClientBehaviors(javax.faces.context.FacesContext context,
                                               javax.faces.component.behavior.ClientBehaviorHolder component,
                                               JSONBuilder jb)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### themeForms

          protected boolean themeForms()

    - #### addToAutoUpdate

          protected void addToAutoUpdate(java.lang.String clientId)

    - #### decodeBehaviors

          protected void decodeBehaviors(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

    - #### decodeBehaviors

          protected void decodeBehaviors(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         java.lang.String proxyClientId)

    - #### getComponentResourceBundle

          public java.util.ResourceBundle getComponentResourceBundle(javax.faces.context.FacesContext context,
                                                                     java.lang.String ACE_MESSAGES_BUNDLE)

      Not all text for components are easy to make attributes for components, especially those for accessibility. Default values are made available within the ace jar messages properties files. Users may override the key if they prefer their own, or their locale is not available.
      Returns:
        reference to resource bundle to get localised text for rendering

    - #### getLocalisedMessageFromBundle

          public static java.lang.String getLocalisedMessageFromBundle(java.util.ResourceBundle bundle,
                                                                       java.lang.String MESSAGE_KEY_PREFIX,
                                                                       java.lang.String key,
                                                                       java.lang.String defaultValue)

      Parameters:
        `bundle` -
        `MESSAGE_KEY_PREFIX` -
        `key` -
        `defaultValue` -
      Returns:
        localized or internationalized String value from message bundle

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.